/*  Project test
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    test.exe Application
    FILE:         testapp.cpp
    AUTHOR:       


    OVERVIEW
    ========
    Source file for implementation of testApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\vbxctl.h>


#include "testapp.h"
#include "tstabtdl.h"                        // Definition of about dialog.       
#include "tmydial.h"

//{{testApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(testApp, TApplication)
//{{testAppRSP_TBL_BEGIN}}
    EV_COMMAND(CM_FILENEW, CmFileNew),
    EV_COMMAND(CM_FILEOPEN, CmFileOpen),
    EV_COMMAND(CM_FILECLOSE, CmFileClose),
    EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{testAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
class SDIDecFrame : public TDecoratedFrame {
public:
    SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, BOOL trackMenuSelection = FALSE, TModule *module = 0) :
            TDecoratedFrame(parent, title, clientWnd, trackMenuSelection, module)
      {  }
    ~SDIDecFrame ()
      {  }
};


//////////////////////////////////////////////////////////
// testApp
// =====
//
testApp::testApp () : TApplication("test")
{

    // Common file file flags and filters for Open/Save As dialogs.  Filename and directory are
    // computed in the member functions CmFileOpen, and CmFileSaveAs.
    FileData.Flags = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT;
    FileData.SetFilter("All Files (*.*)|*.*|");

    // INSERT>> Your constructor code here.

}


testApp::~testApp ()
{
    // INSERT>> Your destructor code here.

}


//////////////////////////////////////////////////////////
// testApp
// =====
// Application intialization.
//
void testApp::InitMainWindow ()
{
/*    Client = new TWindow(0, "");
    SDIDecFrame *frame = new SDIDecFrame(0, GetName(), Client, FALSE);

    // Override the default window style for the main window.
    frame->Attr.Style |= WS_BORDER | WS_CAPTION | WS_SYSMENU | WS_VISIBLE;
    frame->Attr.Style &= ~(WS_CHILD | WS_CLIPCHILDREN | WS_MAXIMIZEBOX | WS_MINIMIZEBOX | WS_THICKFRAME); */
Client = new TMyDial( 0, IDD_MYDIAL );
	    TFrameWindow *frame = 
	   new TFrameWindow(0, GetName(), Client, TRUE);

	    frame->Attr.ExStyle |= WS_EX_DLGMODALFRAME;

 

    nCmdShow = nCmdShow != SW_SHOWMINIMIZED ? SW_SHOWNORMAL : nCmdShow;

    //
    // Assign ICON w/ this application.
    //
  //  frame->SetIcon(this, IDI_SDIAPPLICATION);

    //
    // Menu associated with window and accelerator table associated with table.
    //
//    frame->AssignMenu(SDI_MENU);
    
    //
    // Associate with the accelerator table.
    //
//    frame->Attr.AccelTable = SDI_MENU;

  
    MainWindow = frame;

    //
    // Windows 3-D controls.
    //
    EnableCtl3d(TRUE);
}


//////////////////////////////////////////////////////////
// testApp
// ===========
// Menu File New command
void testApp::CmFileNew ()
{
}


//////////////////////////////////////////////////////////
// testApp
// ===========
// Menu File Open command
void testApp::CmFileOpen ()
{
    //
    // Display standard Open dialog box to select a file name.
    //
    *FileData.FileName = 0;
    if (Client->CanClose())
        if (TFileOpenDialog(MainWindow, FileData).Execute() == IDOK)
            OpenFile();
}


void testApp::OpenFile (const char *fileName)
{
    if (fileName)
        lstrcpy(FileData.FileName, fileName);

}


//////////////////////////////////////////////////////////
// testApp
// =====
// Menu File Close command
void testApp::CmFileClose ()
{
}


//////////////////////////////////////////////////////////
// testApp
// ===========
// Menu Help About test.exe command
void testApp::CmHelpAbout ()
{
    //
    // Show the modal dialog.
    //
    testAboutDlg(MainWindow).Execute();
}


int OwlMain (int , char* [])
{
    TBIVbxLibrary   vbxSupport;                 // This application has VBX controls.
    testApp     App;
    int             result;

    result = App.Run();

    return result;
}
